
--[[

example string:

start#1167932221#!#players#1:Nacoya#3:Etrigan#4:Freiarai#5:Xandor#2:Derya#!#loot#5:10213:1:8675:0#1:12800:1:1465:0#5:13375:1:9487:0#3:13400:1:3085:0#4:833:1:3250:0#2:15239:1:3610:0#3:10168:1:3611:0#4:12811:1:3704:0#5:12827:1:3815:0#4:22403:1:4207:0#5:17683:1:4333:0#1:18716:1:4901:0#4:13359:1:5044:0#3:12843:1:7285:0#3:12843:1:7772:0#3:12843:1:8759:0#3:12843:1:9012:0#3:15272:1:9595:0#4:12382:1:9015:0#3:12843:1:9716:0#3:10189:1:6577:0#3:13535:1:7301:0#5:18738:1:7822:0#1:13525:1:8773:0#4:18725:1:9033:0#5:16668:1:9745:0#3:13380:1:4192:0#5:13377:171:4211:0#5:12811:1:4891:0#5:13348:1:5026:0#4:5759:1:6780:0#4:18730:1:7308:0#5:8301:1:8223:0#2:16691:1:8775:0#3:12843:1:9453:0#4:22412:1:9777:0#5:12735:1:9483:0#3:13340:1:9765:0#1:10150:1:9493:0#4:12735:1:9191:0#1:10213:1:6781:0#5:7909:1:7393:0#5:13070:1:8803:0#!#joins#911:5#0:1#5885:5#0:2#0:3#717:4#5816:3#!#leaves#9954:5#5386:3#5667:5#9942:2#9946:3#9954:4#!#zones#1473:Stratholme#!#kills#7753:Nerub'enkan#3047:Timmy the Cruel#4876:Archivist Galford#8749:Maleki the Pallid#9002:Magistrate Barthilas#4998:Balnazzar#9443:Ramstein the Gorger#4111:Cannon Master Willey#7233:Baroness Anastari#!#end#9954

]]

function TuiRaidTracker:ExportString(data)
    if not TRT_Export then
        local f = CreateFrame("Frame","TRT_Export",UIParent)
        f:SetFrameStrata("BACKGROUND")
        f:SetWidth(210) 
        f:SetHeight(80)

        --[[local t = f:CreateTexture(nil,"BACKGROUND")
        t:SetTexture("Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Factions.blp")
        t:SetAllPoints(f)
        f.texture = t]]
        
        f:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
                                            edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                                            tile = true, tileSize = 16, edgeSize = 16, 
                                            insets = { left = 4, right = 4, top = 4, bottom = 4 }})
        f:SetBackdropColor(0,0,0,1)

        f:SetPoint("CENTER",0,0)

        local button = CreateFrame("Button", "$parentClose", TRT_Export, "UIPanelCloseButton") 

        button:SetHeight(25)
        button:SetWidth(25)
        button:SetPoint("TOPRIGHT", 0, 0)
        button:SetScript("OnClick", function() TRT_ExportBox:SetText("");TRT_Export:Hide() end)
        button:Show()

        local editbox = CreateFrame("EditBox","$parentBox", TRT_Export, "InputBoxTemplate")
        editbox:SetFontObject(GameFontSmall);
        editbox:SetWidth(180)
        editbox:SetHeight(20)
        editbox:SetPoint("BOTTOM",3,8)
        editbox:Show()
    end
    
    TRT_ExportBox:SetText(data)    
    TRT_Export:Show()
end



function TuiRaidTracker:Export(ts)

    local raid = TLR.raid[ts]
    local start = raid.info.start

    local data = "start#".. start .."#!#players#"

    for k,v in pairs(TLR.raid[ts].players) do
        if type(k) == "number" then data = string.format("%s%s:%s#",data,k,v) end
    end

    data = data .. "!#loot#"

    for k,v in pairs(raid.loot) do
        data = string.format("%s%d:%d:%d:%d:%s#",data,v.player,v.item,v.anzahl,v.date-start,v.dkp)
    end

    data = data .. "!#joins#"

    for k,v in pairs(raid.joins) do
        data = string.format("%s%d:%d#",data,v[1]-start,v[2])
    end

    data = data .. "!#leaves#"

    for k,v in pairs(raid.leaves) do
        data = string.format("%s%d:%d#",data,v[1]-start,v[2])
    end

    data = data .. "!#zones#"

    for k,v in pairs(raid.zones) do
        data = string.format("%s%d:%s#",data,v[1]-start,v[2])
    end

    data = data .. "!#kills#"

    for k,v in pairs(raid.kills) do
        data = string.format("%s%d:%s#",data,v[1]-start,v[2])
    end

    data = data .. "!#end#" .. raid.info.ende-start

    self:ExportString(data)

end
